<p align="center"><img align="center" src="/images/logo.svg" width="512" alt="Picocrypt"></p> 

Picocrypt — очень маленький (от слова *Pico*), очень простой, но при этом очень надёжный инструмент шифрования, который вы можете использовать для защиты своих файлов. Он создан как *готовый* инcтрумент для шифрования с упором на безопасность, простоту и надёжность. Picocrypt использует надёжный шифр XChaCha20 и алгоритм получения ключа Argon2 для предоставления защиты высокого уровня даже от трёхбуквенных организаций, таких как АНБ/ФСБ. Он разработан для максимальной защиты, не имея абсолютно никаких компромиссов с точки зрения безопасности, и построен с использованием стандартных и x/crypto модулей языка Go. **Ваша конфиденциальность и безопасность под угрозой. Верните её себе, защитив ваши файлы с помощью Picocrypt.**

<p align="center"><img align="center" src="https://raw.githubusercontent.com/HACKERALERT/Picocrypt/main/images/screenshot.png" width="318" alt="Picocrypt"></p>

# Поддержка
**Пожалуйста, поддержите Picocrypt на <a href="https://opencollective.com/picocrypt">Open Collective</a> (криптовалюта принимается), чтобы собрать средства на аудит безопасности от Cure53. Поскольку я трачу на этот проект много времени и не получаю с него прибыли, я не могу заплатить за аудит сам. *Picocrypt нуждается в поддержке со стороны сообщества.***

# Загрузка
**Важно:** На просторах интернета есть несколько программ под названием "Picocrypt". Например, есть старый инструмент шифорвания PicoCrypt, использующий взломанный шифр. Существует также исследовательский проект PICOCRYPT, финансируемый ERC. Есть даже домены, связанные с Picocrypt, которые я никогда не регистрировал. Пожалуйста, не путайте эти несвязанные проекты с Picocrypt (этим проектом). Устанавливайте Picocrypt только из этого репозитория, чтобы получить подлинный, не содержащий бэкдоров, Picocrypt. Когда вы делитесь Picocrypt с другими, давайте ссылку на этот репозиторий, чтобы избежать путаницы.

## Windows
Picocrypt для Windows прост насколько это возможно. Чтобы скачать последнюю портативную версию для Windows, нажмите <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.31/Picocrypt.exe">здесь</a>. Если Windows Defender или ваш антивирус помечает Picocrypt как вирус, пожалуйста, сделайте хорошее дело и сообщите об этом как о ложном срабатывании на благо всех пользователей.

## macOS
Picocrypt для macOS также очень прост. Скачайте Picocrypt <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.31/Picocrypt.app.zip">здесь</a>, распакуйте zip-архив и запустите Picocrypt, находящийся внутри. Если вам не удаётся открыть Picocrypt, потому что он не от проверенного разработчика, зажав Ctrl, нажмите на Picocrypt и выберите "Открыть", чтобы обойти предупреждение. Имейте в виду, что Picocrypt работает через Rosetta 2 и требует OpenGL и может не работать в будущем, если Apple удалит его.

## Linux
Чтобы использовать Picocrypt в Linux, вы можете скачать AppImage <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.31/Picocrypt.AppImage">здесь</a>. Этот AppImage должен работать на большинстве систем, однако Linux представляет собой беспорядок, когда дело доходит до совместимости между дистрибутивами и версиями, поэтому, если AppImage не работает, вы можете запустить Picocrypt через Wine или из исходного кода, используя инструкции в каталоге `src/`.

<!--- Существует несколько способов использования Picocrypt в Linux. Рекомендуемый способ — установить Picocrypt из [.deb](https://github.com/HACKERALERT/Picocrypt/releases/download/1.29/Picocrypt.deb) (Debian 11+ и Ubuntu 20+). Если .deb не соответствует вашим потребностям или вы не используете дистрибутив на основе Debian, не стесняйтесь использовать [AppImage](https://github.com/HACKERALERT/Picocrypt/releases/download/1.31/Picocrypt.AppImage). Если ни один из вышеперечисленных вариантов не работает, вы можете установить Picocrypt из [Snapcraft](https://snapcraft.io/picocrypt), который должен работать на всех дистрибутивах. --->

## Набор параноика
Набор параноика — это сжатый архив, содержащий исполняемые файлы для Windows, macOS и Linux, включая исходный код и зависимости. Пока он хранится в доступном месте, вы можете открыть его и использовать Picocrypt в любой операционной системе на случай, если этот репозиторий таинственным образом исчезнет или весь Интернет сгорит. Думайте об этом как о хранилище семян для Picocrypt. Пока у одного человека есть этот набор, он может поделиться им с остальным миром и сохранить работоспособность Picocrypt в случае катастрофических событий, таких как внезапное закрытие GitHub или поимка меня АНБ (на всякий случай, понимаете?). Лучший способ обеспечить доступ к Picocrypt через много десятилетий — хранить Набор параноика в надёжном месте. Получите свою копию <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.31/Paranoid.zip">здесь</a>.

# Почему Picocrypt?
Почему вы должны использовать Picocrypt, а не VeraCrypt, 7-Zip, BitLocker, AxCrypt или Cryptomator? Вот несколько причин, почему вы должны выбрать Picocrypt:

- В отличие от BitLocker, AxCrypt и большинства облачных сервисов, Picocrypt и его зависимости имеют полностью открытый исходный код и подлежат аудиту. Вы можете сами убедиться в отсутствии каких-либо бэкдоров или упущений.
- Picocrypt *очень мал*. В то время как Cryptomator весит более 50 МиБ, а VeraCrypt — более 20 МиБ, Picocrypt занимает всего 3 МиБ, что примерно соответствует размеру фотографии среднего разрешения. И это еще не всё — Picocrypt является портативным (не требует установки) и не требует прав администратора/root.
- Picocrypt проще и продуктивнее в использовании по сравнению с VeraCrypt. Чтобы зашифровать файлы с VeraCrypt, вам нужно потратить минуту или две на настройку тома. С простым интерфейсом Picocrypt всё, что вам нужно сделать: перетащить ваши файлы в окно программы, ввести пароль и нажать Encrypt. Все сложные процедуры выполняются внутри Picocrypt. Кто сказал, что безопасное шифрование не может быть простым?
- Picocrypt создан для защиты. 7-Zip — это утилита для архивирования, а не инструмент шифрования, поэтому его внимание не фокусируется на безопасности. Picocrypt же создан для защиты как приоритет номер один. Каждая часть Picocrypt для чего-то нужна, а всё, что может повлиять на безопасность Picocrypt, удалено. Picocrypt создан с помощью криптографии, которой вы можете доверять.
- Picocrypt аутентифицирует данные в дополнение к их защите, предотвращая изменение важных данных хакерами. Это полезно, когда вы отправляете зашифрованные файлы по незащищенному каналу и хотите быть уверены, что они дойдут нетронутыми.
- Picocrypt активно защищает зашифрованные данные заголовка, благодаря добавлению байтов чётности Reed-Solomon, как если бы часть заголовка тома (которая содержит важные криптографические компоненты) была повреждена (например, разрушение жесткого диска), Picocrypt всё ещё может восстановить заголовок и расшифровать данные с высокой долей успеха. Picocrypt также может шифровать весь том с помощью Reed-Solomon для предотвращения повреждения ваших важных файлов.

# Сравнение
Вот как Picocrypt сравнивается с другими популярными инструментами шифрования.

|                | Picocrypt      | VeraCrypt      | 7-Zip GUI      | BitLocker      | Cryptomator    | AxCrypt        |
| -------------- | -------------- | -------------- | -------------- | -------------- | -------------- | -------------- |
| Бесплатен      | ✅ Да          | ✅ Да         | ✅ Да          | 🟧 Частично    | ✅ Да         |🟧 Частично     |
| Открытый код   | ✅ GPLv3       | ✅ Мультилиц. | ✅ LGPL        | ❌ Нет         | ✅ GPLv3      | ❌ Нет         |
| Кроссплатформенность | ✅ Да    | ✅ Да         | ❌ Нет         | ❌ Нет         | ✅ Да         | ❌ Нет         |
| Размер         | ✅ 2 МБ        | ❌ 20 МБ      | ✅ 2 МБ        | ✅ Изменяемый  | ❌ 50 МБ      | 🟧 8 МБ        |
| Портативность  | ✅ Да          | ✅ Да         | ❌ Нет         | ✅ Да          | ❌ Нет        | ✅ Да          |
| Требуемые права| ✅ Отсутствуют | ❌ Админ      | ❌ Админ       | ❌ Админ       | ❌ Админ      | ❌ Админ       |
| Простота использования|✅ Просто| ❌ Сложно     | ✅ Просто      | ✅ Просто      | 🟧 Средне     | ✅ Просто      |
| Шифр           | ✅ XChaCha20   | ✅ AES-256    | ✅ AES-256     | 🟧 AES-128     | ✅ AES-256    | 🟧 AES-128     |
| Алгоритм       | ✅ Argon2      | 🆗 PBKDF2     | ❌ SHA256      | ❓ Неизвестен   | ✅ Scrypt     | 🆗 PBKDF2      |
| Целостность данных| ✅ Всегда   | ❌ Нет        | ❌ Нет         | ❓ Неизвестно   | ✅ Всегда     | ✅ Всегда      |
| Исправление данных| ✅ Да       | ❌ Нет        | ❌ Нет         | ❌ Нет         | ❌ Нет        | ❌ Нет         |
| Сжатие         | ✅ Да          | ❌ Нет        | ✅ Да          | ✅ Да          | ❌ Нет        | ✅ Да          |
| Телеметрия     | ✅ Нет         | ✅ Нет        | ✅ Нет         | ❓ Неизвестно   | ✅ Нет        | ❌ Аккаунты    |
| Аудит          | 🟧 В планах    | ✅ Да         | ❌ Нет         | ❓ Неизвестно   | ✅ Да         | ❌ Нет         |

Имейте в виду, что, хотя Picocrypt и делает большинство вещей лучше, чем другие инструменты, он не является универсальным и не пытается им быть. Существуют варианты использования, такие как шифрование всего диска, где VeraCrypt и BitLocker были бы лучшим выбором. Поэтому, несмотря на то, что Picocrypt — отличный выбор для большинства людей, вам все равно следует провести исследование и использовать то, что лучше для вас.

# Особенности
Picocrypt — очень простой инструмент, большинство пользователей интуитивно поймут как его использовать за несколько секунд. На базовом уровне, перетаскивание файлов, ввод пароля и нажатие "Encrypt" — всё, что вам нужно для шифрования ваших файлов. Просто, не так ли?

Будучи простым, Picocrypt также стремится быть мощным в руках знающих, продвинутых пользователей. Итак, вот несколько функций, которые вы можете использовать для своих нужд.

- **Генератор паролей**: Picocrypt предоставляет безопасный генератор паролей, который вы можете использовать для создания криптографически защищённых паролей. Вы можете менять длину пароля, а также символы, которые будут в него входить.
- **Комментарии**: Используете их для хранения заметок и информации вместе с файлами (метаданные не шифруются). Например, вы можете добавить описание файла, прежде чем отправлять его кому-либо. Когда получатель перетащит файл в Picocrypt, он увидит описание.
- **Ключевые файлы**: Picocrypt поддерживает использование ключевых файлов как дополнительный (или единственный) вид аутентификации. Вы можете не только использовать несколько ключевых файлов, но и требовать определённый порядок этих файлов для успешной расшифровки. Особенно хороший пример использования ключевых файлов — создание общего тома, где каждый человек имеет ключевой файл, и все они должны быть предоставлены для расшифровки общего тома.
- **Режим паранойи**: При использовании этого режима ваши данные будут шифроваться с помощью XChaCha20 и Serpent каскадным способом, а для аутентификации данных будет использоваться HMAC-SHA3 вместо BLAKE2b. Это рекомендуется для защиты сверхсекретных файлов и обеспечивает наивысший достижимый уровень безопасности. Чтобы хакер взломал ваши зашифрованные данные, необходимо взломать как шифр XChaCha20, так и Serpent, при условии, что вы выбрали хороший пароль.
- **Предотвращение повреждения с Reed-Solomon**: Эта функция очень полезна, если вы планируете архивировать важные данные у облачного провайдера или на внешнем носителе на большой период времени. После проверки Picocrypt использует код корректировки ошибок Reed-Solomon для добавления 8 дополнительных байтов к каждым 128 байтам для предотвращения повреждения файлов. Это означает, что ~3% ваших файлов могут быть повреждены и Picocrypt сможет исправить ошибки и расшифровать ваши файлы без повреждений. Конечно, если ваши файлы повредятся очень сильно (например, вы уронили ваш жёсткий диск), Picocrypt не сможет восстановить ваши файлы, но изо всех сил постарается это сделать. Заметьте, что данная функция может значительно замедлить шифрование/расшифрование.
- **Принудительная расшифровка, даже если файлы изменены или повреждены**: Picocrypt автоматически проверяет целостность файлов при расшифровке. Если файл изменён или был повреждён, Picocrypt автоматически удалит выходные данные для безопасности пользователя. Если вы хотите оставить изменённые или повреждённые данные после расшифровки, поставьте галочку рядом с этим параметром. Также, если этот параметр и функция Reed-Solomon были использованы при шифровании тома, Picocrypt постарается восстановить как можно больше при расшифровке.
- **Разделение на фрагменты**: Не хочется возиться с огромными файлами? Не беспокойтесь! С Picocrypt вы можете разделить зашифрованный файл на фрагменты произвольного размера, чтобы большие файлы стали более управляемыми и удобными для загрузки на облачные серверы. Просто выберите единицу измерения (КиБ, МиБ, ГиБ или ТиБ) и введите желаемый размер фрагмента для этой единицы. Чтобы расшифровать фрагменты, просто перетащите один из них в Picocrypt, и фрагменты будут автоматически рекомбинированы при расшифровке.
- **Сжатие файлов**: По умолчанию Picocrypt использует zip-файл без сжатия для быстрого объединения файлов при шифровании нескольких файлов. Однако, если вы хотите сжать эти файлы, просто установите этот флажок, и во время шифрования будет применяться стандартный алгоритм сжатия Deflate.

# Защита
Подробную информацию о том, как Picocrypt использует криптографию, смотрите в разделе <a href="Internals.md">Internals</a>. Если вы беспокойтиесь за мою безопасность или безпосность этого проекта, позвольте заверить вас, что этот репозиторий не будет взломан или скомпрометирован. Я использую двухфакторную аутентификацию 2FA (TOTP) на всех аккаунтах, связанных с Picocrypt (GitHub, Reddit, Google и т. д.), в дополнение к полному шифрованию всех моих устройств. Для большей защиты, Picocrypt использует мои изолированные форки зависимостей, и я выгружаю их только после всех изменений и проверки на безопасность. Это означает, что если какая-либо часть программы будет взломана или изменена хакером, Picocrypt будет использовать мой форк этой части и останется целым. Вы можете с уверенностью использовать Picocrypt.

# Подписи
Для параноиков, Picocrypt подписан с помощью PGP. Отпечаток и открытый ключ приведены ниже.

<pre>B342A744BDEEA57B6A583E33A247E73798946F55</pre>
<pre>-----BEGIN PGP PUBLIC KEY BLOCK-----

mDMEYoGUHxYJKwYBBAHaRw8BAQdAvmQA+pdbDB/ynJxHhNDpz6Sb5tgkNuuNJIvw
HYwZtqi0CVBpY29jcnlwdIiTBBMWCgA7FiEEs0KnRL3upXtqWD4zokfnN5iUb1UF
AmKBlB8CGwMFCwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQokfnN5iUb1UZ
RgEA8jbIsdqCr21DWxcqW/eLlbxRkuA8kflVYvWWUxtVqsUA/jQPSDpvA8rakvaL
PIbXjQvrAMkEVIc0HbCzLxr1k3sH
=YFwz
-----END PGP PUBLIC KEY BLOCK-----</pre>

# Сообщество
Следите за <a href="https://www.reddit.com/r/Picocrypt/">r/Picocrypt</a>. Хотя я сам не буду активен в этой ветке, это все же отличное место, где можно задать вопросы и помочь друг другу, особенно если что-то случится со мной или с этим репозиторием в будущем. Не забывайте доверять только этому конкретному субреддиту и будьте осторожны с хакерами, которые могут попытаться выдать себя за меня на других платформах. Я никогда не попрошу у вас ваш пароль, и любой, кто это сделает — не я. Я никогда не скажу вам скачать файл по подозрительной ссылке, и любой, кто это делает — не я.

# Звёзды GitHub
Как дела у Picocrypt? Посмотрите сюда.
![Stargazers Over Time](https://starchart.cc/HACKERALERT/Picocrypt.svg)

# Пожертвования
Когда я активно разрабатывал Picocrypt, я принимал пожертвования, но теперь, когда Picocrypt завершен и готов к работе, в нем больше нет необходимости. Вместо этого не торопитесь и поделитесь любовью Picocrypt с другими. Пожертвования — это хорошо, но возможность помогать другим для меня намного ценнее, чем несколько лишних долларов. Мне достаточно знать, что Picocrypt помогает людям защищать свои файлы.

<!--- # FAQ

**Is Picocrypt accepting new features?**

No, Picocrypt is considered feature-complete and won't be getting any new features. Unlike other tools which try to constantly add new features (which introduces new bugs and security holes), Picocrypt focuses on just a few core features but does each of them exceptionally well. Remember Picocrypt's ideology: small, simple, and secure.

**Will Android/iOS be supported?**

No, I don't plan on supporting Android or iOS because they are very different from traditional desktop operating systems and require different toolchains to develop apps for. Due to the nature of open-source software, however, a community-built version of Picocrypt for Android or iOS may appear in the future.

**Why is Picocrypt not updated frequently?**

People seem to have the notion that software must be constantly updated to stay relevant and secure. While this may be true for a lot of the software we use today, it is not for Picocrypt. Picocrypt is "good software" and good software doesn't need constant updates to remain relevant and secure. Good software will always be good software.

**Does the "Delete files" feature shred files?**

No, it doesn't shred any files and just deletes them as your file manager would. On modern storage mediums like SSDs, there is no such thing as shredding a file since wear leveling makes it impossible to overwrite a particular sector. Thus, to prevent giving users a false sense of security, Picocrypt doesn't include any shredding features at all. --->

# Благодарности
От всего сердца благодарю людей из Open Collective, которые внесли значительный вклад:

- Guest ($842)
- YellowNight ($818)
- evelian ($50)
- jp26 ($50)
- guest-116103ad ($50)
- Guest ($27)
- oli ($20)
- Markus ($15)
- Bright ($15)
- Tybbs ($10)
- N. Chin ($10)
- Manjot ($10)
- Phil P. ($10)
- Raymond ($10)
- Cohen ($10)
- donor39 (backer)
- Pokabu (backer)
- akp (backer)

<!-- Последнее обновление 18 ноября 2022 -->

Также огромное спасибо этим пяти людям, которые первыми сделали пожертвование и поддержали Picocrypt:

- W.Graham
- N. Chin
- Manjot
- Phil P.
- E. Zahard

Кроме того, большое спасибо этим людям, которые помогли перевести README Picocrypt и сделать его более доступным для всего мира:

- @umitseyhan75 перевод на турецкий
- @digitalblossom & @Pokabu26 перевод на немецкий
- @zeeaall & @Rayserzor перевод на португальский
- u/francirc & @victorhck перевод на испанский
- yn & Voron & @ViktorOn перевод на русский
- @Etim-Orb перевод на венгерский
- @Minibus93 перевод на итальянский
- Michel перевод на французский
- @MasterKia на персидский
- @ungespurv перевод на польский
- @kurpau перевод на литовский

Наконец, спасибо этим людям за помощь, когда это было необходимо:

- [ REDACTED ] за помощь в создании AppImage для Picocrypt
- u/Upstairs-Fishing867 за помощь в тестировании подписей PGP
- u/greenreddits за постоянную обратную связь и поддержку
- u/Tall_Escape за помощь в тестировании Picocrypt
- u/NSABackdoors за большую часть тестирования
- @samuel-lucas6 за отзывы, предложения и поддержку
- <a href="https://privacytools.io">PrivacyToolsIO</a> за включение в список Picocrypt
- <a href="https://privacyguides.org">PrivacyGuides</a> за включение в список Picocrypt
- ...Вы?
